-- load pfUI environment
setfenv(1, pfUI:GetEnvironment())

function pfUI:LoadGui_managems()
  if not pfUI.gui then return end

  local function CreateSlashCmdLine(parent, index, cmd, description)
    parent.cmds = parent.cmds or {}
    if parent.cmds[index] then return end
    parent.cmds[index] = {}
    parent.cmds[index].cmd = parent:CreateFontString("Status", "LOW", "GameFontWhite")
    parent.cmds[index].cmd:SetFont(pfUI.font_default, C.global.font_size)
    parent.cmds[index].cmd:SetText("|cff33ffcc" .. cmd .. "|r")
    parent.cmds[index].cmd:SetPoint("BOTTOMRIGHT", parent, "BOTTOMRIGHT", - (parent:GetWidth() * 0.8), - (tonumber(C.global.font_size) * 2) * index)

    if description and description ~= "" then
      parent.cmds[index].desc = parent:CreateFontString("Status", "LOW", "GameFontWhite")
      parent.cmds[index].desc:SetFont(pfUI.font_default, C.global.font_size)
      parent.cmds[index].desc:SetText(" - " .. description)
      parent.cmds[index].desc:SetPoint("BOTTOMLEFT", parent, "BOTTOMLEFT", (parent:GetWidth() * 0.2), - (tonumber(C.global.font_size) * 2) * index)
    end

    parent:GetParent().objectCount = parent:GetParent().objectCount + 1
  end

  local old_gui = true
  
  if pfUI.api.checkversion and pfUI.api.checkversion(4, 0, 0) and pfUI.gui.CreateGUIEntry then
    old_gui = false
  end

  if old_gui then
    local CreateConfig = pfUI.gui.CreateConfig
    local update = pfUI.gui.update
  
    if pfUI.gui.tabs.thirdparty then
      pfUI.gui.tabs.thirdparty.tabs.managems = pfUI.gui.tabs.thirdparty.tabs:CreateTabChild(T["MG"], true)
      pfUI.gui.tabs.thirdparty.tabs.managems:SetScript("OnShow", function() 
        if not this.setup then
          CreateConfig(update[c], this, T["Mana Gems"], nil, nil, "header")

          CreateConfig(update["managems"], this, T["Managem Size"], C.managems, "size")
          this.setup = true 
        end
      end)
    end
  else
    local Reload = pfUI.gui.Reload
    local CreateConfig = pfUI.gui.CreateConfig
    local CreateGUIEntry = pfUI.gui.CreateGUIEntry
    local U = pfUI.gui.UpdaterFunctions
    
    CreateGUIEntry(T["Thirdparty"], T["pfUI-managems"], function()
      CreateConfig(U["managems"], T["Managem Size"], C.managems, "size")

      CreateConfig(nil, T["Version"] .. ": " .. GetAddOnMetadata("pfUI-managems", "Version"), nil, nil, "header")
      CreateConfig(U["managems"], T["Website"], nil, nil, "button", function()
        pfUI.chat.urlcopy.CopyText("https://gitlab.com/dein0s_wow_vanilla/pfUI-managems")
      end)
    end)
  end
end
